Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 970418 - Review Request: mingw-flac - Free Lossless Audio Codec Library
Summary: Review Request: mingw-flac - Free Lossless Audio Codec Library
Keywords:
Status: CLOSED DUPLICATE of bug 1051836
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 970423
TreeView+ depends on / blocked
 
Reported: 2013-06-04 02:05 UTC by Steve
Modified: 2015-01-04 21:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-11 23:29:44 UTC


Attachments (Terms of Use)

Description Steve 2013-06-04 02:05:11 UTC
Spec URL: https://www.box.com/s/0bvt8meu0nnwt658mf5x
SRPM URL: https://www.box.com/s/dwu6vakhb9nkg0y8obk8
Description: FLAC is an open source lossless audio codec developed by Josh Coalson.
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh

Comment 1 František Dvořák 2013-11-24 22:50:25 UTC
Hello,

my observations of the packaging:

1) there were many changes in native package (source URL, descriptions, new version - currently 1.3.0, patches, build flags, ...).

MinGW packages should follow the native packages as closely as possible. With the new version and different patches, it will probably need a lot changes...

2) I guess the macros mingw_build_win32 and mingw_build_win64 are not needed?

3) having just two static subpackages mingw32-flac-static and mingw64-flac-static would simplify the packaging (= merging C and C++ static subpackages), but that's mere suggestion

Comment 2 František Dvořák 2013-12-06 16:34:13 UTC
Steve, are you still planning to package that? -- František

Comment 3 František Dvořák 2014-01-11 23:29:44 UTC
Closing this request as inactive. 

I'll take the package and submit a new review. Feel free to review the new request or add comments.

Comment 4 František Dvořák 2014-01-11 23:36:52 UTC

*** This bug has been marked as a duplicate of bug 1051836 ***


Note You need to log in before you can comment on or make changes to this bug.